Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 177780 - net-mail/up-imapproxy-1.2.6 version bump
Summary: net-mail/up-imapproxy-1.2.6 version bump
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 1 vote (vote)
Assignee: Net-Mail Packages
URL: http://imapproxy.org/
Whiteboard:
Keywords:
Depends on:
Blocks: 272044
  Show dependency tree
 
Reported: 2007-05-09 11:50 UTC by Janne Pikkarainen
Modified: 2009-06-01 06:43 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for 1.2.6 final (up-imapproxy-1.2.6.ebuild,1.22 KB, text/plain)
2008-02-18 08:47 UTC, Holger Hoffstätte
Details
patch for 1.2.5x to 1.2.6 (up-imapproxy-1.2.5rc2-to-1.2.6.patch,415 bytes, patch)
2008-02-18 08:47 UTC, Holger Hoffstätte
Details | Diff
updated ebuild with fix for buffer overflows (up-imapproxy-1.2.6.ebuild,1.27 KB, text/plain)
2009-04-13 18:16 UTC, Holger Hoffstätte
Details
patch for buffer overflows with glibc-2.9 (up-imapproxy-1.2.6-overflow.patch,857 bytes, patch)
2009-04-13 18:17 UTC, Holger Hoffstätte
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Janne Pikkarainen 2007-05-09 11:50:03 UTC
Hmm, I thought this one would be in official Portage, too, but it was just in my private overlay. 

Anyway, up-imapproxy v1.2.5 was released back in January, so maybe it's time to add it to portage tree? :) Renaming the ebuild is enough, no other changes needed.

Reproducible: Always
Comment 1 David Bosso 2008-02-13 19:41:52 UTC
v1.2.6 final was released 28-Jan-2008
Comment 2 Holger Hoffstätte 2008-02-18 08:47:05 UTC
Created attachment 143862 [details]
ebuild for 1.2.6 final
Comment 3 Holger Hoffstätte 2008-02-18 08:47:48 UTC
Created attachment 143864 [details, diff]
patch for 1.2.5x to 1.2.6
Comment 4 Holger Hoffstätte 2008-02-18 08:49:16 UTC
I attached an ebuild for 1.2.6 final and also a patch from 1.2.5rc2. The final version has some previous fixes included, so one patch was obsolete.
Comment 5 Holger Hoffstätte 2008-12-03 02:03:38 UTC
ping! I've been using 1.2.6 for 24/7 without any problems, and 1.7 is coming soon..
Comment 6 Holger Hoffstätte 2009-04-13 18:16:37 UTC
Created attachment 188253 [details]
updated ebuild with fix for buffer overflows

After rebuilding imapproxy-1.2.6 from my local overlay I noticed that the newly built version was crashing on login. This happens because something in glibc-2.9 changed and now segfaults with buffer overflows (gcc also complains about these impending buffer overflows). The new ebuild adds a patch taken originally from https://bugzilla.redhat.com/show_bug.cgi?id=465859 and fixes the problem.
Comment 7 Holger Hoffstätte 2009-04-13 18:17:07 UTC
Created attachment 188254 [details, diff]
patch for buffer overflows with glibc-2.9
Comment 8 Samuli Suominen gentoo-dev 2009-06-01 06:33:48 UTC
I'm not sure even why I was CC'd here, but I did bump it to 1.2.7_rc2 which includes the security patch.
Comment 9 Samuli Suominen gentoo-dev 2009-06-01 06:43:23 UTC
See bug 272044 for follow up.